[SciPy-user] os x error on import

Bob Ippolito bob at redivi.com
Tue Mar 9 08:32:13 CST 2004


On Mar 9, 2004, at 1:50 PM, John Hunter wrote:

>
> I am building CVS scipy on OS X 10.3.  The build goes fine, and I can
> import scipy, or do "from scipy import array" w/o problems.  I can
> "import scipy.signal" but if I do "help(scipy.signal)" or "from
> scipy.signal import buttord" I get
>
>   Fatal Python error: Interpreter not initialized (version mismatch?)
>   Abort

You linked the extension against one build of Python, and you're 
importing it from another.. as the error suggests.

If you do otool -L on the extension that is failing, you can see what 
it's linking to.

-bob



More information about the SciPy-user mailing list